#
# spec file for package ghc-taffybar
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name taffybar
Name:           ghc-%{pkg_name}
Version:        3.0.0
Release:        2.16
Summary:        A desktop bar similar to xmobar, but with more GUI
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-ConfigFile-devel
BuildRequires:  ghc-HStringTemplate-devel
BuildRequires:  ghc-HTTP-devel
BuildRequires:  ghc-X11-devel
BuildRequires:  ghc-cairo-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-dbus-devel
BuildRequires:  ghc-dbus-hslogger-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-dyre-devel
BuildRequires:  ghc-either-devel
BuildRequires:  ghc-enclosed-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-gi-cairo-devel
BuildRequires:  ghc-gi-gdk-devel
BuildRequires:  ghc-gi-gdkpixbuf-devel
BuildRequires:  ghc-gi-gdkx11-devel
BuildRequires:  ghc-gi-glib-devel
BuildRequires:  ghc-gi-gtk-devel
BuildRequires:  ghc-gi-gtk-hs-devel
BuildRequires:  ghc-gi-pango-devel
BuildRequires:  ghc-glib-devel
BuildRequires:  ghc-gtk-sni-tray-devel
BuildRequires:  ghc-gtk-strut-devel
BuildRequires:  ghc-haskell-gi-base-devel
BuildRequires:  ghc-haskell-gi-devel
BuildRequires:  ghc-hslogger-devel
BuildRequires:  ghc-multimap-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-network-uri-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-optparse-applicative-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rate-limit-devel
BuildRequires:  ghc-regex-compat-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-status-notifier-item-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-time-locale-compat-devel
BuildRequires:  ghc-time-units-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-tuple-devel
BuildRequires:  ghc-unix-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-xdg-basedir-devel
BuildRequires:  ghc-xml-devel
BuildRequires:  ghc-xml-helpers-devel
BuildRequires:  ghc-xmonad-contrib-devel
BuildRequires:  ghc-xmonad-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gtk+-3.0)

%description
Taffybar is a gtk+3 (through gtk2hs) based desktop information bar, intended
primarily for use with XMonad, though it can also function alongside other EWMH
compliant window managers. It is similar in spirit to xmobar, but it differs in
that it gives up some simplicity for a reasonable helping of eye candy.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       pkgconfig
Requires:       pkgconfig(gtk+-3.0)
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%{_bindir}/%{pkg_name}
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/icons
%{_datadir}/%{pkg_name}-%{version}/icons/*.svg
%{_datadir}/%{pkg_name}-%{version}/taffybar.css

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Wed Jul 11 2018 psimons@suse.com
- Add taffybar at version 3.0.0.
